<?php
require ('../core/system.php');
echo $head -> view('Регистрация');
if(isset($user['id'])){
header('Location: /');
exit;
}
if(isset($_POST['login'])){
$login = htmlspecialchars(trim($_POST['login']));
$password = htmlspecialchars(trim($_POST['password']));
$email = htmlspecialchars(trim($_POST['email']));
$captcha = htmlspecialchars(trim($_POST['captcha']));
$chlogin = $db->prepare('select * from `users` where `login` =?');
$chlogin -> execute([$login]);
$chlogin = $chlogin -> rowCount();
$em = $db->prepare('select * from `users` WHERE `email` = ?');
$em -> execute([$email]);
$em = $em->rowCount();
if(mb_strlen($login) < 3 || mb_strlen($login) > 15){
$_SESSION['message'] = 'Длина логина должна быть от 3 до 15 символов';
header('Location: /registration.asp');
exit;
}
if($em > 0){
$_SESSION['message'] = 'Пользователь с таким E-Mail уже зарегестрирован';
header('Location: /registration.asp');
exit;
}
if($chlogin > 0){
$_SESSION['message'] = 'Пользователь с логином «'.$login.' уже зарегестрирован';
header('Location: /registration.asp');
exit;
}

if(!preg_match('/[0-9a-z_\-]+@[0-9a-z_\-^\.]+\.[a-z]{2,6}/i' , $email)){ 
$_SESSION['message'] = 'Неверный формат E-Mail';
header('Location: /registration.asp');
exit;
}
if(mb_strlen($password) < 5 || mb_strlen($password) > 20){
$_SESSION['message'] = 'Длина пароля должна быть от 5 до 20 символов';
header('Location: /registration.asp');
exit;
}
		if($captcha != $_SESSION['code']){
		$_SESSION['message'] = 'Неверный код с картинки';
header('Location: /registration.asp');
exit;
}
$sql = $db->prepare('INSERT INTO `users` (`login`,`password`,`email`) VALUES (?,?,?)');
$sql -> execute([$login,md5($password),$email]);
$id = $db->lastInsertId();
setcookie('id', $id, time()+86400*365, '/');
setcookie('password', md5($password), time()+86400*365, '/');
header('Location: /');
exit;
}
?><div class="top">Регистрация</div><form class="box" action="" method="post">Логин [3-15]:</br><input type="text" name="login" maxlength="15" required/></br> Пароль [5-20]</br><input type="text" name="password" maxlength="20" required/></br> E-mail:<br/><input type="email" name="email" required/><br/> 
	Введите код с картинки:</br>
	<img src="/design/img/captcha.gif"> </br>
		<input type="text" name="captcha" required/"> </br>
<input type="submit" value="Регистрация"></form></div><?
echo $foot -> view();
?>
